document.getElementById('login-form').addEventListener('submit', async (e) => {
  e.preventDefault();

  const ip = document.getElementById('ip').value;
  const username = document.getElementById('username').value;
  const password = document.getElementById('password').value;
  const serverPort = document.getElementById('serverPort').value;
  const proxyPort = document.getElementById('proxyPort').value;
  const ssl = document.getElementById('ssl').checked;

  const protocol = ssl ? 'https' : 'http';

  const params = new URLSearchParams();
  params.append('username', username);
  params.append('password', password);

  const response = await fetch(`${protocol}://${ip}:${serverPort}/authenticate`, {
    method: 'POST',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    body: params
  });

  if (response.ok) {
    const { token } = await response.json();
    localStorage.setItem('token', token);
    localStorage.setItem('ip', ip);
    localStorage.setItem('serverPort', serverPort);
    localStorage.setItem('proxyPort', proxyPort);
    localStorage.setItem('protocol', protocol); 
    window.location.href = 'index.html';
  } else {
    alert('Invalid username or password');
  }
});
